std::__detail::_Equality< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, false > Struct Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Equality< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, false >:
[legend]

## Public Types

using | __hashtable = _Hashtable< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >

## Public Member Functions

bool | _M_equal (const __hashtable &) const
template<typename _Uiterator >
bool | _S_is_permutation (_Uiterator __first1, _Uiterator __last1, _Uiterator __first2)

## Static Protected Member Functions

template<typename _Uiterator >
static bool | _S_is_permutation (_Uiterator, _Uiterator, _Uiterator)

## Detailed Description

### template<typename _Key, typename _Value, typename _Alloc, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _RehashPolicy, typename _Traits>
struct std::__detail::_Equality< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, false >

Specialization.

Definition at line 1746 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h